## libgdata 0.17.2

=== debian/changelog ===
libgdata (0.17.2-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.    

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 16 Sep 2015 16:49:56 -0700

libgdata (0.17.2-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream release.

  [ Andreas Henriksson ]
  * Bump libuhttpmock-dev build-dep to >= 0.5.0 according to configure.ac
  * Update debian/libgdata22.symbols with 8 new symbols.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 11 Jul 2015 11:10:08 +0200

libgdata (0.17.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Jun 2015 08:57:52 +0200

libgdata (0.17.1-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * Output gdata/tests/test-suite.log on testsuite failures.

  [ Michael Biebl ]
  * Track odd-numbered releases in debian/watch as well as libgdata doesn't
    seem to follow the typical GNOME versioning scheme.
  * New upstream release. (Closes: #789134)
  * Bump soname from 19 → 22.
  * Update symbols file.
  * Convert to multiarch.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.6.
  * Drop obsolete Conflicts from pre-wheezy.

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Jun 2015 20:52:10 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libgdata
Section: libs
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.93),
               debhelper (>= 9),
               dh-autoreconf,
               gnome-common (>= 3.6.0),
               gnome-pkg-tools (>= 0.11),
               pkg-config (>= 0.14),
               libglib2.0-dev (>= 2.31.0),
               libgcr-3-dev,
               libgoa-1.0-dev (>= 3.12.0),
               libjson-glib-dev (>= 0.15),
               liboauth-dev (>= 0.9.4),
               libxml2-dev,
               libsoup2.4-dev (>= 2.42.0),
               libgdk-pixbuf2.0-dev,
               libuhttpmock-dev (>= 0.5.0),
               intltool (>= 0.40),
               gtk-doc-tools (>= 1.14),
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.9.12-4~),
               valac
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Projects/libgdata
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libgdata
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgdata
XS-Testsuite: autopkgtest

Package: libgdata22
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgdata-common
Description: Library for accessing GData webservices - shared libraries
 libgdata is a GLib-based library for accessing online service APIs using
 the GData protocol — most notably, Google's services. It provides APIs
 to access the common Google services, and has full asynchronous support.
 .
 This package contains the shared libraries.

Package: libgdata-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Library for accessing GData webservices - common data files
 libgdata is a GLib-based library for accessing online service APIs using
 the GData protocol — most notably, Google's services. It provides APIs
 to access the common Google services, and has full asynchronous support.
 .
 This package contains the common data files for libgdata.

Package: libgdata-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgdata22 (= ${binary:Version}),
         gir1.2-gdata-0.0 (= ${binary:Version}),
         ${misc:Depends},
         libgcr-3-dev,
         libglib2.0-dev (>= 2.31.0),
         libgoa-1.0-dev (>= 3.8),
         libjson-glib-dev (>= 0.15),
         liboauth-dev (>= 0.9.4),
         libsoup2.4-dev (>= 2.37.91),
         libxml2-dev
Suggests: libgdata-doc
Description: Library for accessing GData webservices - development files
 libgdata is a GLib-based library for accessing online service APIs using
 the GData protocol — most notably, Google's services. It provides APIs
 to access the common Google services, and has full asynchronous support.
 .
 This package contains the headers and development libraries needed to
 build applications using the libgdata library

Package: libgdata-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libgdata-dev
Suggests: devhelp
Description: Library for accessing GData webservices - documentation
 libgdata is a GLib-based library for accessing online service APIs using
 the GData protocol — most notably, Google's services. It provides APIs
 to access the common Google services, and has full asynchronous support.
 .
 This package contains the HTML documentation for the libgdata library

Package: gir1.2-gdata-0.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GData webservices library
 libgdata is a GLib-based library for accessing online service APIs using
 the GData protocol — most notably, Google's services. It provides APIs
 to access the common Google services, and has full asynchronous support.
 .
 This package contains introspection data for the GData webservices
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

## libgdata 0.17.3

=== debian/changelog ===
libgdata (0.17.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Sep 2015 16:50:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,8 @@
 Source: libgdata
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 9),
                dh-autoreconf,

## libgdata 0.17.4

=== debian/changelog ===
libgdata (0.17.4-1) unstable; urgency=medium

  * New upstream release 0.17.4
    + Download stream data corruption fixes and fixes to content length
      calculation
    + Fix copying and deleting documents in Google Drive
    + Fix folder creation in Google Drive
    + Fix metadata-only uploads in Google Drive
    + Fix searching by title in Google Drive
    + Remove a couple of incorrect GIR annotations

 -- Iain Lane <laney@debian.org>  Mon, 14 Dec 2015 17:05:05 +0000

=== debian/control ===
--- 
+++ 
@@ -30,8 +30,7 @@
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Projects/libgdata
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libgdata
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgdata
-XS-Testsuite: autopkgtest
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgdata
 
 Package: libgdata22
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_MAKE_CHECK_TARGET = check || echo "=== test-suite.log ===" && cat gdata/tests/test-suite.log && echo "======================" || true

DEB_DH_AUTORECONF_ARGS = --as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

libgdata := $(shell sed -nr 's/^Package:[[:space:]]*(libgdata[0-9]+)[[:space:]]*$$/\1/p' debian/control)
DEB_DH_MAKESHLIBS_ARGS_$(libgdata) = -- -c4

common-binary-post-install-arch:: list-missing

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/libgdata/([\d\.]+)/libgdata-([\d\.]+)\.tar\.xz

## libgdata 0.17.5

=== debian/changelog ===
libgdata (0.17.5-1~bpo8+1) jessie-backports; urgency=medium

  * Disable tests.
  * Rebuild for jessie-backports.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 21 Jul 2016 18:33:11 +0300

libgdata (0.17.5-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Jul 2016 15:58:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 9),
+Uploaders: Alexander GQ Gerasiov <gq@debian.org>, Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gnome-common (>= 3.6.0),
                gnome-pkg-tools (>= 0.11),
@@ -21,13 +20,12 @@
                libxml2-dev,
                libsoup2.4-dev (>= 2.42.0),
                libgdk-pixbuf2.0-dev,
-               libuhttpmock-dev (>= 0.5.0),
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.14),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~),
                valac
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/libgdata
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libgdata
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgdata

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with autoreconf,gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	$(MAKE) check || ( \
		echo "=== test-suite.log ===" && \
		cat gdata/tests/test-suite.log && \
		echo "======================" || true )
endif

override_dh_auto_configure:
	dh_auto_configure -- --enable-always-build-tests=no

## libgdata 0.17.6

=== debian/changelog ===
libgdata (0.17.6-2) unstable; urgency=medium

  * Make the test-suite non-fatal again for now. It needs more work still to
    pass on all architectures.

 -- Michael Biebl <biebl@debian.org>  Sat, 01 Oct 2016 01:29:29 +0200

libgdata (0.17.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10.
  * Set XDG_RUNTIME_DIR to a temporary, writable location. With that the
    test-suite should pass, so make failures fatal.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 14:19:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Alexander GQ Gerasiov <gq@debian.org>, Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                gnome-common (>= 3.6.0),
                gnome-pkg-tools (>= 0.11),
                pkg-config (>= 0.14),
@@ -20,6 +19,7 @@
                libxml2-dev,
                libsoup2.4-dev (>= 2.42.0),
                libgdk-pixbuf2.0-dev,
+               libuhttpmock-dev (>= 0.5.0),
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.14),
                libgirepository1.0-dev (>= 0.10.7-1~),

## libgdata 0.17.7

=== debian/changelog ===
libgdata (0.17.7-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum gtk-doc-tools to 1.25
  * debian/libgdata22.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Mar 2017 19:53:49 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: libgdata
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-common (>= 3.6.0),
                gnome-pkg-tools (>= 0.11),
@@ -21,7 +22,7 @@
                libgdk-pixbuf2.0-dev,
                libuhttpmock-dev (>= 0.5.0),
                intltool (>= 0.40),
-               gtk-doc-tools (>= 1.14),
+               gtk-doc-tools (>= 1.25),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~),
                valac

## libgdata 0.17.9

=== debian/changelog ===
libgdata (0.17.9-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Mark libgdata-doc as Multi-Arch: foreign

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 11:11:59 -0500

libgdata (0.17.9-1) unstable; urgency=medium

  * New upstream release
  * Bump build-dep on libglib2.0-dev to >= 2.44, libsoup2.4-dev to 2.56.0,
    and gtk-doc-tools to >= 1.25 according to configure.ac
  * debian/libgdata22.symbols: Add new symbols
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 16:25:12 -0400

libgdata (0.17.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump build-dep on libglib2.0-dev to >= 2.38.0 according to configure.ac
  * Update debian/libgdata22.symbols with three new additions.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Jul 2017 09:11:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,19 @@
 Source: libgdata
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-common (>= 3.6.0),
                gnome-pkg-tools (>= 0.11),
                pkg-config (>= 0.14),
-               libglib2.0-dev (>= 2.31.0),
+               libglib2.0-dev (>= 2.44.0),
                libgcr-3-dev,
                libgoa-1.0-dev (>= 3.12.0),
                libjson-glib-dev (>= 0.15),
                liboauth-dev (>= 0.9.4),
                libxml2-dev,
-               libsoup2.4-dev (>= 2.42.0),
+               libsoup2.4-dev (>= 2.56.0),
                libgdk-pixbuf2.0-dev,
                libuhttpmock-dev (>= 0.5.0),
                intltool (>= 0.40),
@@ -26,13 +25,12 @@
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~),
                valac
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://wiki.gnome.org/Projects/libgdata
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libgdata
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgdata
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/libgdata.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/libgdata.git
 
 Package: libgdata22
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -47,7 +45,6 @@
  This package contains the shared libraries.
 
 Package: libgdata-common
-Section: libs
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
@@ -66,11 +63,11 @@
          gir1.2-gdata-0.0 (= ${binary:Version}),
          ${misc:Depends},
          libgcr-3-dev,
-         libglib2.0-dev (>= 2.31.0),
+         libglib2.0-dev (>= 2.44.0),
          libgoa-1.0-dev (>= 3.8),
          libjson-glib-dev (>= 0.15),
          liboauth-dev (>= 0.9.4),
-         libsoup2.4-dev (>= 2.37.91),
+         libsoup2.4-dev (>= 2.56),
          libxml2-dev
 Suggests: libgdata-doc
 Description: Library for accessing GData webservices - development files
@@ -84,6 +81,7 @@
 Package: libgdata-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: libgdata-dev
 Suggests: devhelp

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

CHECK_HOME = $(CURDIR)/debian/tmp/home

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p $(CHECK_HOME)
	env XDG_RUNTIME_DIR=$(CHECK_HOME) $(MAKE) check VERBOSE=1 || true
endif

=== debian/tests/control ===
Tests: compile
Depends: libgdata-dev, build-essential, pkg-config

## libgdata 0.17.11

=== debian/changelog ===
libgdata (0.17.11-3build1) eoan; urgency=medium

  * debian/tests/installed-tests:
    - unset the proxy environment, the squid.internal value isn't know by
      the umockdev resolver and making the tests fail

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Oct 2019 13:25:31 +0200

libgdata (0.17.11-3) unstable; urgency=medium

  * debian/tests:
    - use the new libgdata-tests binary to enable autopkgtest,
      that's in addition of the existing buildtest.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Sep 2019 13:17:08 +0200

libgdata (0.17.11-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/git_soname_version.patch,
    debian/patches/git_fix_gettext.patch,
    debian/patches/git_gnome_option.patch:
    - dropped, those changes are in the new version
  * debian/libgdata.symbols:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 15:31:20 +0200

libgdata (0.17.10-1) unstable; urgency=medium

  * New upstream version
    - Port to Meson and drop autotools suppor
  * debian/compat:
    - remove, it's not needed anymore
  * debian/libgdata-dev.install:
    - remove the .a entry, it's not built with meson
  * debian/control.in:
    - update to debhelper12
    - build-depends on gettext and meson, not on intltool
    - updated Standards-Version to 4.4.0.1
  * debian/gbp.conf:
    - updated the configuration, include dch in the import, sign tags
      and some other tweaks
  * debian/libgdata.symbols:
    - updated for the new version
  * debian/patches/git_soname_version.patch:
    - backport patch to fix the soname naming
  * debian/rules:
    - don't override dh_install anymore, meson don't build a .la

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 20:36:02 +0200

libgdata (0.17.9-3) unstable; urgency=medium

  * Bump debhelper compat to 11
  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/libgdata22.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 20:52:40 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               meson (>= 0.50),
                gnome-common (>= 3.6.0),
                gnome-pkg-tools (>= 0.11),
                pkg-config (>= 0.14),
@@ -20,15 +21,15 @@
                libsoup2.4-dev (>= 2.56.0),
                libgdk-pixbuf2.0-dev,
                libuhttpmock-dev (>= 0.5.0),
-               intltool (>= 0.40),
+               gettext,
                gtk-doc-tools (>= 1.25),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~),
                valac
-Standards-Version: 4.1.2
+Standards-Version: 4.4.0.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/libgdata
+Vcs-Git: https://salsa.debian.org/gnome-team/libgdata.git
 Homepage: https://wiki.gnome.org/Projects/libgdata
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/libgdata.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/libgdata.git
 
 Package: libgdata22
 Architecture: any
@@ -92,6 +93,17 @@
  .
  This package contains the HTML documentation for the libgdata library
 
+Package: libgdata-tests
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: Library for accessing GData webservices - common data files
+ libgdata is a GLib-based library for accessing online service APIs using
+ the GData protocol — most notably, Google's services. It provides APIs
+ to access the common Google services, and has full asynchronous support.
+ .
+ This package includes tests to be used on the installed system.
+
 Package: gir1.2-gdata-0.0
 Section: introspection
 Architecture: any

## libgdata 0.17.12

=== debian/changelog ===
libgdata (0.17.12-1) unstable; urgency=medium

  * New upstream release:
    - Make OAuth 1 support optional and disabled by default; this makes
      the `oauth` dependency optional on `-Doauth1=enabled`
    - Fix Authentication errors with Google Drive (lp: #1747646)
  * debian/control.in:
    - remove the build-depends on liboauth-dev
  * debian/tests/installed-tests:
    - unset the proxy environment, the squid.internal value isn't know by
      the uhttpmock resolver and making the tests fail

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 Feb 2020 16:07:28 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                libgcr-3-dev,
                libgoa-1.0-dev (>= 3.12.0),
                libjson-glib-dev (>= 0.15),
-               liboauth-dev (>= 0.9.4),
                libxml2-dev,
                libsoup2.4-dev (>= 2.56.0),
                libgdk-pixbuf2.0-dev,
@@ -67,7 +66,6 @@
          libglib2.0-dev (>= 2.44.0),
          libgoa-1.0-dev (>= 3.8),
          libjson-glib-dev (>= 0.15),
-         liboauth-dev (>= 0.9.4),
          libsoup2.4-dev (>= 2.56),
          libxml2-dev
 Suggests: libgdata-doc

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome --without autoreconf

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

CHECK_HOME = $(CURDIR)/debian/tmp/home

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p $(CHECK_HOME)
	env XDG_RUNTIME_DIR=$(CHECK_HOME) $(MAKE) check VERBOSE=1 || true
endif

## libgdata 0.17.13

=== meson_options.txt ===
option('gtk',
  type: 'feature',
  value: 'auto',
  description: 'enable gtk+-3.0 support')

option('gnome',
  type: 'feature',
  value: 'enabled',
  description: 'enable GNOME support')

option('goa',
  type: 'feature',
  value: 'enabled',
  description: 'enable Gnome Online Accounts (goa) support')

option('oauth1',
  type: 'feature',
  value: 'disabled',
  description: 'enable OAuth 1.0 support (deprecated)')

option('always_build_tests',
  type: 'boolean',
  value: true,
  description: 'Enable always building tests')

option('installed_tests',
  type: 'boolean',
  value: false,
  description: 'Install test programs')

option('man',
  type: 'boolean',
  value: false,
  description: 'generate man pages')

option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'use gtk-doc to build documentation')

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Enable creation of GObject Introspection files')

option('vapi',
  type: 'boolean',
  value: true,
  description: 'Enable creation of vapi files')

=== debian/changelog ===
libgdata (0.17.13-3) unstable; urgency=medium

  * debian/control.in: Add several -doc packages to the BDI to fix links
    between documentation files.  Also mark the libgdata-doc with
    Build-Profiles: <!nodoc>
  * debian/rules: Only build the GTK doc if we are building libgdata-doc

 -- Laurent Bigonville <bigon@debian.org>  Thu, 21 Jan 2021 18:24:26 +0100

libgdata (0.17.13-2) unstable; urgency=medium

  * debian/control.in: Rename libuhttpmock-dev BD to libuhttpmock-0.0-dev
    (Closes: #948105)
  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)
  * debian/control.in: Fix the dependencies of the libgdata-tests package

 -- Laurent Bigonville <bigon@debian.org>  Thu, 21 Jan 2021 17:23:53 +0100

libgdata (0.17.13-1) unstable; urgency=medium

  * New upstream release
  * Update configure flags to keep building docs & installed tests
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * Don't ignore failing tests.
    - Build tests weren't being run after switch to meson. This wasn't noticed
      immediately because test failures were ignored.

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 29 Sep 2020 19:26:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libgdata
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                meson (>= 0.50),
-               gnome-common (>= 3.6.0),
-               gnome-pkg-tools (>= 0.11),
                pkg-config (>= 0.14),
                libglib2.0-dev (>= 2.44.0),
                libgcr-3-dev,
@@ -19,13 +19,15 @@
                libxml2-dev,
                libsoup2.4-dev (>= 2.56.0),
                libgdk-pixbuf2.0-dev,
-               libuhttpmock-dev (>= 0.5.0),
-               gettext,
-               gtk-doc-tools (>= 1.25),
+               libuhttpmock-0.0-dev (>= 0.5.0),
                libgirepository1.0-dev (>= 0.10.7-1~),
-               gobject-introspection (>= 0.9.12-4~),
                valac
-Standards-Version: 4.4.0.1
+Build-Depends-Indep: gtk-doc-tools (>= 1.25) <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
+                     libgoa-1.0-doc <!nodoc>,
+                     libjson-glib-doc <!nodoc>,
+                     libsoup2.4-doc <!nodoc>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgdata
 Vcs-Git: https://salsa.debian.org/gnome-team/libgdata.git
 Homepage: https://wiki.gnome.org/Projects/libgdata
@@ -84,6 +86,7 @@
 Depends: ${misc:Depends}
 Recommends: libgdata-dev
 Suggests: devhelp
+Build-Profiles: <!nodoc>
 Description: Library for accessing GData webservices - documentation
  libgdata is a GLib-based library for accessing online service APIs using
  the GData protocol — most notably, Google's services. It provides APIs
@@ -94,7 +97,7 @@
 Package: libgdata-tests
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgdata22 (= ${binary:Version})
 Description: Library for accessing GData webservices - common data files
  libgdata is a GLib-based library for accessing online service APIs using
  the GData protocol — most notably, Google's services. It provides APIs

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

ifneq (,$(filter libgdata-doc,$(shell dh_listpackages)))
  BUILD_DOCS:=-Dgtk_doc=true
else
  BUILD_DOCS:=-Dgtk_doc=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(BUILD_DOCS) \
		-Dinstalled_tests=true

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/tests/control ===
Tests: compile
Depends: libgdata-dev, build-essential, pkg-config

Tests: installed-tests
Depends: @, dpkg-dev, gnome-desktop-testing, umockdev, libuhttpmock-0.0-0
Restrictions: allow-stderr

## libgdata 0.18.1

=== debian/changelog ===
libgdata (0.18.1-6build2) noble; urgency=medium

  * No-change rebuild against libuhttpmock-1.0-1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 05:57:23 +0000

libgdata (0.18.1-6build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:57:43 +0000

libgdata (0.18.1-6) experimental; urgency=medium

  * Revert disabling installed tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 15:47:00 -0400

libgdata (0.18.1-5) unstable; urgency=medium

  * Temporarily disable installed tests until uhttpmock0 reaches Unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 15:37:17 -0400

libgdata (0.18.1-4) unstable; urgency=medium

  * Opt into Salsa CI
  * Stop using debian/control.in and dh_gnome_clean
  * Cherry-pick proposed patch to switch to gcr4
  * Update Build-Depends & Depends for gcr → gcr4
  * Remove executable bit from /usr/libexec/ installed tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 12:01:09 -0500

libgdata (0.18.1-3) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Switch BD from libgdk-pixbuf2.0-dev to
    libgdk-pixbuf-2.0-dev

  [ Simon McVittie ]
  * d/control.in: Drop alternative B-D on libgdk-pixbuf2.0-dev
    (Closes: #1037388)

  [ Jeremy Bicha ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 12:48:29 -0400

libgdata (0.18.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Aug 2021 10:44:33 +0200

libgdata (0.18.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2021 10:16:32 +0100

libgdata (0.18.0-1) experimental; urgency=medium

  * New upstream release
  * Updated the symbols for the new version

 -- Sebastien Bacher <seb128@debian.org>  Thu, 25 Feb 2021 16:28:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,21 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libgdata
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                meson (>= 0.50),
                pkg-config (>= 0.14),
                libglib2.0-dev (>= 2.44.0),
-               libgcr-3-dev,
+               libgcr-4-dev,
                libgoa-1.0-dev (>= 3.12.0),
                libjson-glib-dev (>= 0.15),
                libxml2-dev,
                libsoup2.4-dev (>= 2.56.0),
-               libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-2.0-dev,
                libuhttpmock-0.0-dev (>= 0.5.0),
                libgirepository1.0-dev (>= 0.10.7-1~),
                valac
@@ -27,7 +24,7 @@
                      libgoa-1.0-doc <!nodoc>,
                      libjson-glib-doc <!nodoc>,
                      libsoup2.4-doc <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgdata
 Vcs-Git: https://salsa.debian.org/gnome-team/libgdata.git
 Homepage: https://wiki.gnome.org/Projects/libgdata
@@ -64,7 +61,7 @@
 Depends: libgdata22 (= ${binary:Version}),
          gir1.2-gdata-0.0 (= ${binary:Version}),
          ${misc:Depends},
-         libgcr-3-dev,
+         libgcr-4-dev,
          libglib2.0-dev (>= 2.44.0),
          libgoa-1.0-dev (>= 3.8),
          libjson-glib-dev (>= 0.15),

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 ifneq (,$(filter libgdata-doc,$(shell dh_listpackages)))
   BUILD_DOCS:=-Dgtk_doc=true
@@ -17,5 +18,12 @@
 		$(BUILD_DOCS) \
 		-Dinstalled_tests=true
 
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4
+# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
+# quite right for installed-tests
+override_dh_fixperms:
+	dh_fixperms -Xusr/libexec/installed-tests
+ifneq ($(filter %-tests,$(binaries)),)
+	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
+endif
+
+override_dh_gnome_clean:
